GDBserver

Public Attributes | List of all members
pending_signals Struct Reference

## Public Attributes
int | signal
siginfo_t | info
struct pending_signals * | prev

## Detailed Description

Definition at line 337 of file linux-low.c.

## Member Data Documentation

## ◆ info

siginfo_t pending_signals::info

Definition at line 340 of file linux-low.c.

Referenced by enqueue_one_deferred_signal(), and enqueue_pending_signal().

## ◆ prev

struct pending_signals* pending_signals::prev

Definition at line 341 of file linux-low.c.

Referenced by dequeue_one_deferred_signal(), enqueue_one_deferred_signal(), enqueue_pending_signal(), and linux_resume_one_lwp_throw().

## ◆ signal

int pending_signals::signal

Definition at line 339 of file linux-low.c.

Referenced by dequeue_one_deferred_signal(), enqueue_one_deferred_signal(), enqueue_pending_signal(), and linux_resume_one_lwp_throw().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbserver/linux-low.c